CliParams Class Reference

`#include <CliParams.h>`

## Public Types

typedef vector< Parameter * >::iterator | iterator
typedef vector< Parameter * >::const_iterator | const_iterator

## Public Member Functions

| CliParams ()
const_iterator | begin () const
const_iterator | end () const
void | add (unique_ptr< Parameter > param)
void | add (Parameter &param)
void | add (ParameterGroup &params)
bool | hasParam (const string &name) const
const Parameter & | getParam (const string &name) const
Parameter & | getParam (const string &name)
void | parseCommandLine (unsigned int tokenCount, const char **tokens)
void | processOption (const string &optionName, const char **params, unsigned int paramCount)

## Private Attributes

vector< Parameter * > | _params
vector< Parameter * > | _ownedParams
ElementDeleter< vector< Parameter * > > | _paramsDeleter

## Detailed Description

Definition at line 28 of file CliParams.h.

## Member Typedef Documentation

## const_iterator

typedef vector<Parameter*>::const_iterator CliParams::const_iterator

Definition at line 31 of file CliParams.h.

## iterator

typedef vector<Parameter*>::iterator CliParams::iterator

Definition at line 30 of file CliParams.h.

## Constructor & Destructor Documentation

## CliParams()

CliParams::CliParams | ( |  | ) |

Definition at line 46 of file CliParams.cpp.

## Member Function Documentation

## add() [1/3]

void CliParams::add | ( | Parameter & | param | ) |

Definition at line 95 of file CliParams.cpp.

## add() [2/3]

void CliParams::add | ( | ParameterGroup & | params | ) |

Definition at line 100 of file CliParams.cpp.

## add() [3/3]

void CliParams::add | ( | unique_ptr< Parameter > | param | ) |

Todo
  : fix that this doesn't actually take over ownership

Definition at line 88 of file CliParams.cpp.

## begin()

const_iterator CliParams::begin | ( |  | ) | const

inline

Definition at line 35 of file CliParams.h.

## end()

const_iterator CliParams::end | ( |  | ) | const

inline

Definition at line 36 of file CliParams.h.

## getParam() [1/2]

Parameter & CliParams::getParam | ( | const string & | name | ) |

Definition at line 116 of file CliParams.cpp.

## getParam() [2/2]

const Parameter & CliParams::getParam | ( | const string & | name | ) | const

Definition at line 112 of file CliParams.cpp.

## hasParam()

bool CliParams::hasParam | ( | const string & | name | ) | const

Definition at line 105 of file CliParams.cpp.

## parseCommandLine()

void CliParams::parseCommandLine | ( | unsigned int | tokenCount,
|  | const char ** | tokens )

Definition at line 50 of file CliParams.cpp.

## processOption()

void CliParams::processOption | ( | const string & | optionName,
|  | const char ** | params,
|  | unsigned int | paramCount )

Definition at line 74 of file CliParams.cpp.

## Member Data Documentation

## _ownedParams

vector<Parameter*> CliParams::_ownedParams

private

Definition at line 55 of file CliParams.h.

## _params

vector<Parameter*> CliParams::_params

private

Definition at line 54 of file CliParams.h.

## _paramsDeleter

ElementDeleter<vector<Parameter*> > CliParams::_paramsDeleter

private

Definition at line 56 of file CliParams.h.

The documentation for this class was generated from the following files:

- src/CliParams.h
- src/CliParams.cpp